Questions tagged [tkinter]

Tkinter is Python's de-facto standard GUI (Graphical User Interface) package. It is a thin object-oriented layer on top of Tcl/Tk.

Filter by
Sorted by
Tagged with
0
votes
0answers
226 views

How to install libcrypt.so.2?

I've got a tkinter executable. When launching from the terminal, I've got an error complaining about a missing libcrypt.so.2. I don´t know what this library is used for but it's needed apparently for ...
0
votes
0answers
101 views

I have installed tk but I got the error: import _tkinter No module named '_tkinter

First of all I am on ubuntu 19.04 and I use python 3.6.7. I try to run a program and I get the error: ` import _tkinter # If this fails your Pytho` may not be configured for Tk ModuleNotFoundError: No ...
0
votes
1answer
4k views

Error when running tkinter in python " no display name and no $DISPLAY environment variable" while running the code

The error message is: Traceback (most recent call last): File "<stdin>", line 1, in <module> File "/usr/lib/python3.8/tkinter/__init__.py", line 2261, in __init__ ...
1
vote
0answers
1k views

X Error of failed request: BadLength (poly request too large or internal Xlib length error)

X Error of failed request: BadLength (poly request too large or internal Xlib length error) Major opcode of failed request: 139 (RENDER) Minor opcode of failed request: 20 (...
3
votes
1answer
235 views

Cannot Run .py File In QTerminal (tkinter)

I'm really trying to run this simple .py file in QTerminal, but no matter what I try, I just can't get it to run. There's nothing special or complicated about the code in the file, it's just something ...
2
votes
0answers
379 views

Python3.5-tk in Ubuntu18.04

I installed python3.5 and some package like opencv, Tesrflow, keras and etc when my Linux version was 16.04. But after upgrading the Linux version from 16.04 to 18.04, the new version of python 3.6 ...
0
votes
1answer
67 views

Error while drawing a clock using turtle module [closed]

My code: import turtle wn =turtle.Screen() te=turtle.Turtle() te.shape("turtle") te.left(90) for i in range(12): te.penup(100) te.right(30) wn.mainloop() The output: Type error occurred in ...
0
votes
1answer
507 views

Tkinter Installation Issue

user@Embedded-10:~/python_programs$ pip install Tkinter Collecting Tkinter Exception: Traceback (most recent call last): File "/usr/lib/python2.7/dist-packages/pip/basecommand.py", line 215, in main ...
0
votes
1answer
1k views

How to launch a python script from .desktop launcher in Ubuntu 19.04

I recently upgraded to Ubuntu 19.04 ,previously I had 18.04. In 18.04 the .desktop file worked normal, I was able to launch a tkinter app from my desktop but now I am not able to launch from desktop ...
2
votes
2answers
836 views

Why is my simple Python stopwatch script taking up so much computer resources? [closed]

I started using a Python script for a stopwatch today and noticed a significant slow down in all the other things I have opened (Firefox, Sublime Text, Terminal). System Monitor is telling me my ...
1
vote
0answers
459 views

Install tkinter package for python-3.5 with python-3.4 also present

I have 3 pythons installed on my system (ubuntu 14.04): 2.7, 3.4, 3.5. I want to use matplotlib on a virtual environment based on python-3.5. But importing it gave following error: ImportError: No ...
0
votes
2answers
4k views

no module named tkinter

i have never had this issue before. how can i fix this ? it says no module named tkinter (env_maskrcnn) haziq@vita-workstation2:~/human-pose-estimation$ ./run.sh Traceback (most recent call last): ...
0
votes
0answers
156 views

Can't find module tkinter after exporting code from Jupyter

I exported a file from Jupyter to a .py format. The code works fine on Jupyter itself, but when I try to run it directly from the command line I get the following error Traceback (most recent call ...
3
votes
0answers
3k views

Tkinter font not changing on python 3.6.8 on Ubuntu 18.04

I am not able to change the font family of the label in tkinter. I have written the code to explain the issue. I have also attached a link to show the output. (for images please go to this link I ...
0
votes
0answers
574 views

Can't find or install tkinter

I have a problem with the tkinter module in Ubuntu 16.04. It needs to be loaded to run a python3.6 program, but it can't be found: File "/usr/local/bin/declooptor", line 11, in <module> ...
0
votes
2answers
11k views

Running Tkinter programs on Ubuntu 18.04

I'm trying to complete this tutorial https://likegeeks.com/python-gui-examples-tkinter-tutorial/amp/. I have the following code written from tkinter import * window = Tk() window.title('Welcome to ...
2
votes
3answers
9k views

ImportError: No module named '_tkinter', please install the python3-tk package

After an sudo apt-get upgrade, I get the following error: Python 3.5.2 (default, Nov 23 2017, 16:37:01) [GCC 5.4.0 20160609] on linux Type "help", "copyright", "credits" or "license" for more ...
1
vote
0answers
298 views

After installing Nvidia driver I get "ModuleNotFoundError: No module named 'tkinter'" error in Python3

I tried to install the Nvidia driver (sudo apt-get install nvidia-390) for AI calculations on GPU in Ubuntu 16.04 and 18.04. The installation works, but afterwards python3 is not working and giving ...
1
vote
0answers
409 views

Import tkinter fails in ubuntu on python 3.6

The python 2 install on my ubuntu 17.10 install works fine, Tkinter is imported without errors, but on the python 3 install, import tkinter fails. I've tried to reinstall python3-tk and reinstall ...
2
votes
1answer
4k views

Unable to install python3-tk in my ubuntu machine 16.04

I am trying to make a very first desktop application using tkinter in pycharm like this. from tkinter import * root = Tk() mLabel = Label(root, text="This is Header") mLabel.pack mLabel....
0
votes
1answer
3k views

I tried to install Tkinter in python. But I cannot install it [duplicate]

I want to install Tkinter in python 2.7.9 I tried sudo apt-get update sudo apt-get install python-tk i even tried to upgrade python so as to install Tkinter but that didn't work either. Everytime i ...
0
votes
0answers
27 views

Installing Tkinter offline [duplicate]

I don't have an internet connection in my Ubuntu. I would like to install tkinter. So is there any way to install tkinter and its dependencies offline ? Note: I don't have any Ubuntu system that is ...
2
votes
2answers
3k views

tkinter - Can't find a usable tk.tcl

When I try the following code : import Tkinter Tkinter._test() I get the following error : Traceback (most recent call last): File "<stdin>", line 1, in <module> File "/usr/lib/...
2
votes
2answers
2k views

Configuring tkinter for python3.4.3 Problem [duplicate]

I'm decently new to using a Raspberry Pi and I'm trying to set up a simple GUI application to launch from my Pi. I'm using a Raspberry Pi3, with Python 3.4.3 installed. When I type python: ~$ python ...
2
votes
2answers
25k views

How can I install tkinter for both python 3.4 and python 3.5?

How can I install tkinter for both python 3.4 and python 3.5? Currently, tkinter is installed for python 3.4 (i.e., import tkinter runs fine in the python 3.4 interpreter). However I don't know how ...
1
vote
0answers
690 views

Python internal terminal shrinking

My problem is somewhere within my code but I cannot find where, the problem is when I push one of the buttons the xterm window intergrated within the program resizes between two buttons (which's space ...
1
vote
1answer
10k views

Listbox with tkinter Treeview, how to avoid empty rows at the end [closed]

I have the following code to build a listbox with Treeview widget. import tkinter as tk import tkinter.ttk as ttk class AppBase: def __init__(self): self.mywin = tk.Tk() self....
6
votes
4answers
71k views

ImportError: No module named tkinter

When I try to install tkinter using this command: sudo apt-get install python-tk I get this message meaning it is already installed: Reading package lists... Done Building dependency tree ...
4
votes
1answer
5k views

Plotting with Matplotlib in Python 3 pylab: Tkinter and Qt FontManager errors

I'm trying to use pylab (i.e., $ ipython3 --pylab) in Python 3 on Ubuntu 14.04. I'm running into the same error regardless of whether I use the Tkinter or Qt4 backends. AttributeError: 'FontManager' ...
5
votes
4answers
29k views

configure tkinter for python3.4.2

I recently met a problem while installing the newest python3.X. Installed it using the Python-3.4.2.tar.xz package from python.org After, the intallation I tried importing the tkinter module but didn'...